.iframe-needs {
    background-image: url("https://storage.googleapis.com/dev_resources_voka_io_303011/common/4805aaf6a33dda16b550719444cf95a4692a0df6.webp");
    background-color: var(--d-dark);
    background-size: contain;
    background-position: top center;
    background-repeat: no-repeat;
    padding: 140px 0;
}

.iframe-needs h2 {
    color: var(--d-white);
    text-align: center;
    margin-bottom: 80px;
}

.iframe-needs .items {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 24px;
}

.iframe-needs .item {
    background: var(--d-dark-80);
    backdrop-filter: blur(7px);
    padding: 32px;
    border-radius: 20px;
}

.iframe-needs .item img {
    width: 40px;
    height: 40px;
    margin-bottom: 24px;
}

.iframe-needs .item .main-h4-semibold {
    color: var(--d-white);
    margin-bottom: 12px;
}

.iframe-needs .item .main-text-medium {
    color: var(--d-grey);
}

@media (max-width: 1919px) {
    .iframe-needs {
        padding: 100px 0;
    }

    .iframe-needs h2 {
        margin-bottom: 80px;
    }
}

@media (max-width: 1439px) {
    .iframe-needs {
        padding: 80px 0;
    }

    .iframe-needs h2 {
        margin-bottom: 60px;
    }

    .iframe-needs .items {
        gap: 16px;
    }

    .iframe-needs .item {
        padding: 24px;
        border-radius: 16px;
    }

    .iframe-needs .item img {
        margin-bottom: 16px;
        width: 32px;
        height: 32px;
    }

    .iframe-needs .item .main-h4-semibold {
        margin-bottom: 10px;
    }
}

@media (max-width: 1279px) {
    .iframe-needs .items {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media (max-width: 577px) {
    .iframe-needs {
        padding: 60px 0;
    }

    .iframe-needs h2 {
        margin-bottom: 40px;
    }

    .iframe-needs .items {
        gap: 12px;
    }

    .iframe-needs h2 {
        margin-bottom: 40px;
        text-align: center;
    }
    
    
}